Subject: Re: bug#48399: 27.2; term-mode: After splitting window, newlines are inserted

From: Eli Zaretskii <[email-masked]>
Date: Tue, 12 Jul 2022 16:40:03 +0300

> Cc: Robert Pluim <[email-masked]>, [email-masked],
>  Khoa Vo <[email-masked]>
> From: Lars Ingebrigtsen <[email-masked]>
> Date: Tue, 12 Jul 2022 14:28:45 +0200
> 
> Michael Heerdegen <[email-masked]> writes:
> 
> > Happens even without C-n:
> >
> > M-x term
> > C-c C-j
> > ls
> > C-x 2     ;; a linefeed between prompt and "ls" in inserted
> > C-x 1     ;; another one is inserted
> 
> Thanks.  I've had a brief look at term.el to see what could be causing
> this -- I wondered whether it might be a window change hook or
> something, but that doesn't seem to be the case.
> 
> It seems to be happening non-synchronously -- sometimes the extra
> newline isn't added until half a second passes, so perhaps it's
> something that happens during communication between the shell and Emacs.
> 
> I'm pretty unfamiliar with the term.el code.  Anybody know where to
> start poking?

I think it's because we call set-process-window-size, which sends an
IOCTL to the shell.